<template>
  <section id="main">
    <h1>{{ data.name }} - {{ data.sys.country }}</h1>
    <h2>{{ data.main.temp }}°</h2>
    <h3>{{ data.weather[0].description }}</h3>
    <img :src="`http://openweathermap.org/img/wn/${data.weather[0].icon}@2x.png`" :alt="`${data.weather[0].description}`">
    <div>
      <p>Min {{ data.main.temp_min }}°</p>
      <p>Max {{ data.main.temp_max }}°</p>
    </div>
  </section>
</template>

<script>
export default {
  name: 'Main',
  props: {
    data: {},
  },
};
</script>

<style lang="scss">
#main {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  h1,
  h2 {
    margin-bottom: 0.5rem;
  }

  p {
    margin-bottom: 2rem;
  }

  h3,
  h4 {
    margin-bottom: 1rem;

    span {
      margin-left: 0.5rem;

      svg {
        width: 35px;
        height: 35px;
      }
    }
  }

  div {
    display: flex;
    justify-content: space-around;
    width: 190px;

    p {
      margin: 0;
    }
  }
}
</style>
